<!DOCTYPE html>
<html lang="en">

  <head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Dashboard</title>

    <!-- Bootstrap core CSS-->
    <link href="../static/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom fonts for this template-->
    <link href="../static/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">

    <!-- Page level plugin CSS-->
    <link href="../static/vendor/datatables/dataTables.bootstrap4.css" rel="stylesheet">
    

    <!-- Custom styles for this template-->
    <link href="../static/css/sb-admin.css" rel="stylesheet">

  </head>

  <body id="page-top">

    <nav class="navbar navbar-expand navbar-dark bg-dark static-top">

      <a class="navbar-brand mr-1" href="/super_admin">Super Admin</a>

      <button class="btn btn-link btn-sm text-white order-1 order-sm-0" id="sidebarToggle" href="#">
        <i class="fas fa-bars"></i>
      </button>

      <!-- Navbar Search -->
      <form class="d-none d-md-inline-block form-inline ml-auto mr-0 mr-md-3 my-2 my-md-0">
        <div class="input-group">
          <input type="text" class="form-control" placeholder="Search for..." aria-label="Search" aria-describedby="basic-addon2">
          <div class="input-group-append">
            <button class="btn btn-primary" type="button">
              <i class="fas fa-search"></i>
            </button>
          </div>
        </div>
      </form>

      <!-- Navbar -->
      <ul class="navbar-nav ml-auto ml-md-0">
          <li class="nav-item dropdown no-arrow">
          <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="fas fa-user-circle fa-fw"></i>
          </a>
          <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
            <a class="dropdown-item" href="/" data-toggle="modal" data-target="#logoutModal">Logout</a>
          </div>
        </li>
      </ul>

    </nav>

    <div id="wrapper">

      <!-- Sidebar -->
      <ul class="sidebar navbar-nav">
        <li class="nav-item active">
          <a class="nav-link" href="/super_admin">
            <i class="fas fa-fw fa-suitcase"></i>
            <span>Companies</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="super_admin/prime">
            <i class="fas fa-fw fa-user-circle"></i>
            <span>Prime Number</span></a>
        </li>
      </ul>

      <div id="content-wrapper">

        <div class="container-fluid">
          <div id="company">
          <!-- Breadcrumbs-->
          <ol class="breadcrumb">
            <li class="breadcrumb-item">
              <a href="#">Companies</a>
            </li>
            
          </ol>
            
          
          <!-- DataTables Example -->
          
          <div>
          <table id="company_table" class="table table-striped table-hover table-users">
          <thead>
          <tr>
            <th>Name</th>
            <th>Description</th>
            <th>Type</th>
            <th>Actions</th>
          </tr>
          </thead>
          <tbody>
              
          </tbody>
          </table>
          </div>
          <button type="button" data-toggle="modal" data-target="#addCompany" class="btn btn-success btn-xs" style="margin-right: 30px"><i class="fa fa-pencil"></i>Add</button>
          </div>
          <div id="admin">
              <!-- Breadcrumbs-->
              <ol class="breadcrumb">
                <li class="breadcrumb-item">
                  <a href="#">Admins</a>
                </li>
                
              </ol>
                
              
              <!-- DataTables Example -->
              
              <div>
              <table id="admin_table" class="table table-striped table-hover table-users">
              <thead>
              <tr>
                <th>Email</th>
                <th>Active</th>
                <th>Role</th>  
                <th>Actions</th>
              </tr>
              </thead>
              <tbody>
                  
              </tbody>
              </table>
              </div>
              <button type="button" data-toggle="modal" id="123_back" class="btn btn-success btn-xs" style="margin-right: 30px"><i class="fa fa-pencil"></i>Back</button>
              </div>
        <!-- /.container-fluid -->
        <!-- /add company -->
        <div class="modal fade" id="addCompany" tabindex="-1" role="dialog" aria-labelledby="editLabel" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Add Company</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form>
                  <div class="form-group">
                    <label for="add-company-name" class="form-control-label">Name</label>
                    <input type="text" class="form-control" id="add-company-name">
                  </div>
                  <div class="form-group">
                    <label for="add-desc" class="form-control-label">Description</label>
                    <textarea class="form-control" id="add-desc"></textarea>
                  </div>
                  <div class="form-group">
                    <label for="add-type" class="form-control-label">Type</label>
                    <select class="form-control" id="add-type">
                      <option disabled selected value> -- select an option -- </option>
                      <option>finance</option>
                      <option>e-commerce</option>
                      <option>banking</option>
                    </select>
                  </div>
                </form>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary", id="123_add">Add</button>
              </div>
            </div>
          </div>
        </div>
        <!-- /add admin -->
        <div class="modal fade" id="addAdmin" tabindex="-1" role="dialog" aria-labelledby="editLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLabel">Add admin</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <form>
                    <div class="form-group">
                      <label for="admin-email" class="form-control-label">Email</label>
                      <input type="text" class="form-control" id="admin-email">
                    </div>
                  </form>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                  <button type="button" class="btn btn-primary", id="123_admin">Add admin</button>
                </div>
              </div>
            </div>
          </div>
        <!-- /edit company -->
        <div class="modal fade" id="editCompany" tabindex="-1" role="dialog" aria-labelledby="editLabel" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Edit Company</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                  <form id="edit-company-form" enctype="multipart/form-data">
                  <div class="form-group">
                    <label for="edit-company-name" class="form-control-label">Name</label>
                    <input type="text" class="form-control" id="edit-company-name">
                  </div>
                  <div class="form-group">
                    <label for="edit-desc" class="form-control-label">Description</label>
                    <textarea class="form-control" id="edit-desc"></textarea>
                  </div>
                  <div class="form-group">
                    <label for="edit-type" class="form-control-label">Type</label>
                    <select class="form-control" id="edit-type">
                      <option disabled selected value> -- select an option -- </option>
                      <option>finance</option>
                      <option>e-commerce</option>
                      <option>banking</option>
                    </select>
                  </div>
                </form>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" id="123_update">Save changes</button>
              </div>
            </div>
          </div>
        </div>
        <!-- /delete company -->
        <div class="modal fade" id="deleteCompany" tabindex="-1" role="dialog" aria-labelledby="deleteLabel" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Delete Company</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                Do you want to delete this company ?
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary" id="123_delete">Delete</button>
              </div>
            </div>
          </div>
        </div>
        <!-- /delete admin -->
        <div class="modal fade" id="deleteAdmin" tabindex="-1" role="dialog" aria-labelledby="deleteLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLabel">Delete Admin</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  Do you want to delete this admin ?
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                  <button type="button" class="btn btn-primary" id="123_deleteadmin">Delete</button>
                </div>
              </div>
            </div>
          </div>
          
  
        <!-- Sticky Footer -->
        <footer class="sticky-footer">
          <div class="container my-auto">
            <div class="copyright text-center my-auto">
              <span>Copyright © Your Website 2018</span>
            </div>
          </div>
        </footer>

      </div>
      <!-- /.content-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
      <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <a class="btn btn-primary" id="123_logout" href="/">Logout</a>
          </div>
        </div>
      </div>
    </div>

    <!-- Bootstrap core JavaScript-->
    <script src="../static/vendor/jquery/jquery.min.js"></script>
    <script src="../static/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Core plugin JavaScript-->
    <script src="../static/vendor/jquery-easing/jquery.easing.min.js"></script>

    <!-- Page level plugin JavaScript-->
    <script src="../static/vendor/chart.js/Chart.min.js"></script>
    <script src="../static/vendor/datatables/jquery.dataTables.js"></script>
    
    <script src="../static/vendor/jquery/jquery.serializejson.js"></script>
    <script src="../static/vendor/datatables/dataTables.bootstrap4.js"></script>

    <!-- Custom scripts for all pages-->
    <script src="../static/js/sb-admin.min.js"></script>

    <!-- Demo scripts for this page-->
    <script src="../static/js/demo/datatables-demo.js"></script>
    <script src="../static/js/demo/chart-area-demo.js"></script>
    
    <script>
    $(document).ready(function(){
      $("#admin").hide();
      
      var url = 'http://{{API_SERVER}}:8091/api/v1/companies';
          $.ajax({
              type: 'GET',
              url: url,
              dataType: 'json',
              headers: {"Authorization": sessionStorage.getItem('token')}, 
              success: AjaxSucceeded,
              error: AjaxFailed
          });

          function AjaxSucceeded(result) {
              var data_array = [];
              var content_list = result['data'];
              for(i=0 ; i < content_list.length ; i++)
                {
                var name = content_list[i]["name"];            
                var descrtiption = content_list[i]["description"];
                var type = content_list[i]["type"];
                var company_id = content_list[i]["company_id"];            
                table_edit = '<button id="'+ company_id +'_edit" type="button" data-toggle="modal" data-target="#editCompany" class="btn btn-primary btn-xs" style="margin-right: 30px"><i class="fa fa-pencil"></i> Edit </button>'+'<button type="button" id="'+ company_id +'_adddelete" data-toggle="modal" data-target="#deleteCompany" class="btn btn-danger btn-xs" style="margin-right: 30px"><i class="fa fa-trash-o"></i> Delete </button>'+'<button type="button" id="'+ company_id +'_addadmin" data-toggle="modal" data-target="#addAdmin" class="btn btn-warning btn-xs" style="margin-right: 30px" ><i class="fa fa-trash-o"></i> Add Admin </button>'+'<button type="button" id="'+ company_id +'_viewadmin" data-toggle="modal" data-target="#viewAdmin" class="btn btn-info btn-xs" ><i class="fa fa-trash-o"></i> View Admin </button>'
                data_array.push([name,descrtiption,type,table_edit]);
                }             

           
           $('#company_table').DataTable( {
              data: data_array,
       
            });
          }
          function AjaxFailed(result,xhr) {
            var content = result.responseJSON.msg;
              if (result.status == 401)
                {
                  window.location.href = "/"
                }
              alert("Unable to load data : "+ content+ " " + result.status)
              
          }
       
       
    });
  </script>
    <script>
    $(document).on('click', '.btn', function(e){
        e.preventDefault();
        spt_string = this.id.split("_");
        var action = spt_string[1];
        var id = spt_string[0];
        if(action=="edit" )
        {
          var url = 'http://{{API_SERVER}}:8091/api/v1/companies/'+ id;
          $.ajax({
              type: 'GET',
              url: url,
              dataType: 'json',
              headers: {"Authorization": sessionStorage.getItem('token')},
              success: ViewSucceeded,
              error: ViewFailed
          });
        }
        else if(action=="update" )
        {
          var id = localStorage.getItem('company_id')
          var url = 'http://{{API_SERVER}}:8091/api/v1/companies/'+ id;
          var data = {
            name : document.getElementById("edit-company-name").value,
            description : document.getElementById("edit-desc").value,
            type: document.getElementById("edit-type").value
          } 
          
          $.ajax({
              type: 'PUT',
              url: url,
              data: JSON.stringify(data),
              processData: false,
              contentType:"application/json; charset=utf-8",
              headers: {"Authorization": sessionStorage.getItem('token')},
              success: EditSucceeded,
              error: EditFailed
          });
        }
        else if(action=="add" )
        {
          var url = 'http://{{API_SERVER}}:8091/api/v1/companies';
          var data = {
            name : document.getElementById("add-company-name").value,
            description : document.getElementById("add-desc").value,
            type: document.getElementById("add-type").value
          } 
          
          $.ajax({
              type: 'POST',
              url: url,
              data: JSON.stringify(data),
              processData: false,
              contentType:"application/json; charset=utf-8",
              headers: {"Authorization": sessionStorage.getItem('token')},
              success: AddSucceeded,
              error: AddFailed
          });
        }
        else if(action=="addadmin" )
        {
          localStorage.setItem('company_id', id);
        }
        else if(action=="adddelete" )
        {
          localStorage.setItem('company_id', id);
        }
        else if(action=="adddeleteadmin" )
        {
          localStorage.setItem('admin_id', id);
        }
        else if(action=="back" )
        {        
        location.reload();
        }
        else if(action=="viewadmin" )
        {
          
          var table = $('#company_table').DataTable();
          table.destroy();
          $("#company").hide();
          $("#admin").show();
          var url = 'http://{{API_SERVER}}:8091/api/v1/admins/list/'+ id;
          $.ajax({
              type: 'GET',
              url: url,
              dataType: 'json',
              headers: {"Authorization": sessionStorage.getItem('token')}, 
              success: ViewAdminSucceeded,
              error: ViewAdminFailed
          });


          
        }
        else if(action=="admin" )
        {
          var url = 'http://{{API_SERVER}}:8091/api/v1/admins';
          var data = {
            email : document.getElementById("admin-email").value,
            company_id: localStorage.getItem('company_id')
          } 
          
          $.ajax({
              type: 'POST',
              url: url,
              data: JSON.stringify(data),
              processData: false,
              contentType:"application/json; charset=utf-8",
              headers: {"Authorization": sessionStorage.getItem('token')},
              success: AdminSucceeded,
              error: AdminFailed
          });
        }
        else if(action=="delete" )
        {
          var id = localStorage.getItem('company_id')
          var url = 'http://{{API_SERVER}}:8091/api/v1/companies/'+ id;
          
          $.ajax({
              type: 'DELETE',
              url: url,
              headers: {"Authorization": sessionStorage.getItem('token')},
              success: DeleteSucceeded,
              error: DeleteFailed
          });
        }
        else if(action=="logout" )
        {
          var url = 'http://{{API_SERVER}}:8091/api/v1/logoutaccess';
          
          $.ajax({
              type: 'DELETE',
              url: url,
              headers: {"Authorization": sessionStorage.getItem('token')},
              success: LogoutSucceeded,
              error: LogoutFailed
          });
        }
        else if(action=="deleteadmin" )
        {
          var id = localStorage.getItem('admin_id')
          var url = 'http://{{API_SERVER}}:8091/api/v1/admins/'+ id;
          
          $.ajax({
              type: 'DELETE',
              url: url,
              headers: {"Authorization": sessionStorage.getItem('token')},
              success: DeleteAdminSucceeded,
              error: DeleteAdminFailed
          });
        }
        function ViewSucceeded(result,xhr) 
        {
          var content = result['data'];
          localStorage.setItem('company_id', content['company_id'])
          document.getElementById("edit-company-name").value = content['name'];          
          document.getElementById("edit-desc").value = content["description"];
          document.getElementById("edit-type").value = content["type"];
    
        } 
        function ViewFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to View company : "+ content)
        }

        function EditSucceeded(result,xhr) 
        {
          alert("Company updated successfully");
          location.reload();
    
        } 
        function EditFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to update company : "+ content)
        }

        function AddSucceeded(result,xhr) 
        {
          alert("Company added successfully");
          location.reload();
    
        } 
        function AddFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to add company : "+ content)
        }

        function AdminSucceeded(result,xhr) 
        {
          alert("Admin added successfully");
          location.reload();
    
        } 
        function AdminFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to add admin : "+ content)
        }
        function DeleteSucceeded(result,xhr) 
        {
          alert("Company deleted successfully");
          location.reload();
    
        } 
        function DeleteFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to delete company : "+ content)
        }

        function DeleteAdminSucceeded(result,xhr) 
        {
          alert("Admin deleted successfully");
          location.reload();
    
        } 
        function DeleteAdminFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to delete admin : "+ content)
        }
        function LogoutSucceeded(result,xhr) 
        {
          
          window.location.href='/';
    
        } 
        function LogoutFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to logout : "+ content)
        }

        function ViewAdminSucceeded(result) {
              
              var data_array = [];
              var content_list = result['data'];
              for(i=0 ; i < content_list.length ; i++)
                {
                var email = content_list[i]["email"];            
                var status = content_list[i]["is_active"];
                var role = content_list[i]["role"];
                var admin_id = content_list[i]["user_id"];
                table_edit = '<button type="button" id="'+ admin_id +'_adddeleteadmin" data-toggle="modal" data-target="#deleteAdmin" class="btn btn-danger btn-xs" style="margin-right: 30px"><i class="fa fa-trash-o"></i> Delete </button>'
                data_array.push([email,status,role,table_edit]);
                }             

           
           $('#admin_table').DataTable( {
              data: data_array,
       
            });
          }
          function ViewAdminFailed(result,xhr) {
            var content = result.responseJSON.error.message;
              alert("Unable to load data : "+ content+ " " + result.status)
              
          }

      });

  </script>

  </body>

</html>
